ufw trigger: error on symbolic links breaks cups, dpkg

Bug #317700 reported by John Paul Morrison on 2009-01-16
6
Affects Status Importance Assigned to Milestone
ufw (Ubuntu)
Undecided
Jamie Strandboge
Hardy
Undecided
Jamie Strandboge
Intrepid
Undecided
Jamie Strandboge

Bug Description

Binary package hint: cups

I had problems installing cups (via samba) which I traced back to ufw.
The error was:

 Processing triggers for ufw ...
 ERROR: found symbolic link in path: /var/lib
 dpkg: subprocess post-installation script returned error exit status 1

My /var/lib is in fact a symbolic link to a directory on another drive. I don't see why this should be a problem.

This messed up dpkg, and I kept getting messages in aptitude/synaptic telling me to run
"dpkg --configure -a" but when I did that, I'd get this error:
"dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed.
Aborted"

I'm pretty sure this is a problem in ufw, because I see in:
/usr/share/pyshared/ufw/backend.py:

                if os.path.islink(path):
                    err_msg = _("found symbolic link in path: %s") % (path)
                    raise UFWError(err_msg)

I don't know why a symbolic link raises an error. I commented out those three lines and reinstalled cups/cups-client and it reconfigured properly, and the dpkg errors went away.

ufw: 0.23.2
cups: 1.3.9-2ubuntu6.1

Description: Ubuntu 8.10
Release: 8.10

Till Kamppeter (till-kamppeter) wrote :

This is a problem of ufw and not of CUPS.

Changed in ufw:
assignee: nobody → jdstrand
status: New → Confirmed
Jamie Strandboge (jdstrand) wrote :

Thank you for using Ubuntu and taking the time to report a bug. A fix for this has been committed and will be in the next upload of ufw.

Changed in ufw:
status: Confirmed → Fix Committed
Jamie Strandboge (jdstrand) wrote :

Fix committed to bzr. Will prepare SRU soon.

Changed in ufw:
assignee: nobody → jdstrand
status: New → Fix Committed
assignee: nobody → jdstrand
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted ufw into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted ufw into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Jamie Strandboge (jdstrand) wrote :

Fixed in 0.16.2.4

$ apt-cache policy ufw
ufw:
  Installed: 0.16.2.4
  Candidate: 0.16.2.4
  Version table:
 *** 0.16.2.4 0
        500 http://archive.ubuntu.com hardy-proposed/main Packages
        100 /var/lib/dpkg/status
     0.16.2.3 0
        500 http://192.168.122.1 hardy-updates/main Packages
     0.16.2 0
        500 http://192.168.122.1 hardy/main Packages

Jamie Strandboge (jdstrand) wrote :

Fixed in 0.23.3

$ apt-cache policy ufw
ufw:
  Installed: 0.23.3
  Candidate: 0.23.3
  Version table:
 *** 0.23.3 0
        500 http://archive.ubuntu.com intrepid-proposed/main Packages
        100 /var/lib/dpkg/status
     0.23.2 0
        500 http://192.168.122.1 intrepid/main Packages

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.23.3

---------------
ufw (0.23.3) intrepid-proposed; urgency=low

  * debian/postinst: don't stop in runlevels 0 and 6 (LP: #298736)
  * don't do symlink check anymore (LP: #317700)
  * conf/initscript: don't flush rules on stop when not enabled (LP: #311066)
  * formatting of dpkg output incorrect on upgrades (LP: #300726)
  * debian/control: update Vcs information

 -- Jamie Strandboge <email address hidden> Mon, 19 Jan 2009 10:32:03 -0600

Changed in ufw:
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

reported as fixed in hardy, please release. Thank you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.16.2.4

---------------
ufw (0.16.2.4) hardy-proposed; urgency=low

  * debian/postrm: don't fail if iptables or ip6tables fails (LP: #278670)
  * debian/postinst: don't stop in runlevels 0 and 6 (LP: #298736)
  * don't do symlink check anymore (LP: #317700)
  * conf/initscript: don't flush rules on stop when not enabled (LP: #311066)
  * debian/control: update Vcs information

 -- Jamie Strandboge <email address hidden> Sat, 17 Jan 2009 09:04:06 -0600

Changed in ufw:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.27~r416-0ubuntu1

---------------
ufw (0.27~r416-0ubuntu1) jaunty; urgency=low

  * new upstream release
    - don't do symlink check anymore (LP: #317700)
    - don't do hidden file check anymore (LP: #319226)
    - add insert rule support (LP: #260745)
    - clear up status output (LP: #262975)
    - add log level support
    - add per rule logging
  * debian/ufw.init: use mountall for Required-Start rather than mountall.sh
  * added allow_custom_ports debconf option
  * debian/postinst: don't exit on ufw error
  * ship debian/sysctl.conf instead of upstream. This file now only lists
    settings that do are non-default in Ubuntu
  * adjust initscript to tell it is using /etc/ufw/sysctl.conf
  * debian/*md5sums: updated for new upstream defaults
  * debian/config: update has_existing() to also check old md5sums
  * debian/postinst: don't error out when processing triggers, as this causes
    dpkg errors (LP: #270285, #328728)

 -- Jamie Strandboge <email address hidden> Wed, 18 Feb 2009 16:53:15 -0600

Changed in ufw:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers